# Generated from spinna-0.0.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name spinna

Name: rubygem-%{gem_name}
Version: 0.0.5
Release: 1%{?dist}
Summary: Randomly picks albums from your music library so you don’t have to
License: MIT
URL: https://github.com/hydrozen/spinna
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) >= 5.3
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(minitest-spec-context)
# BuildRequires: rubygem(minitest-spec-context) < 1
# BuildRequires: rubygem(pry) >= 0.10
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(mocha) >= 1.1
# BuildRequires: rubygem(mocha) < 2
# BuildRequires: rubygem(minitest-reporters) >= 1.0
# BuildRequires: rubygem(minitest-reporters) < 2
# BuildRequires: rubygem(coveralls) >= 0.8.2
# BuildRequires: rubygem(coveralls) < 0.9
# BuildRequires: rubygem(simplecov) >= 0.10.0
# BuildRequires: rubygem(simplecov) < 0.11
BuildArch: noarch

%description
Picks albums from your music collection so you don’t have to.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/spinna
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/exe
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spinna.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 0.0.5-1
- Initial package
